using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml.Linq;

namespace BookDemo.RSS
{
    public partial class ArticleDetail : System.Web.UI.Page
    {
protected void Page_Load(object sender, EventArgs e)
{
    int id = Convert.ToInt32(Request.QueryString["id"]);//从地址栏获取ID参数
    //读取数据 PS：可以为任意类型的数据源
    XDocument datasource = XDocument.Load("Datasource.xml");
    XElement articleElement = datasource.Root.Elements("Article")//查询根节点下的所有Article节点
            .Where(z => z.Element("ID").Value == id.ToString())//条件为Article的ID节点值等于id
            .FirstOrDefault();//选取满足条件的第一条，如果没有任何满足条件的数据，则返回null
    if (articleElement != null)
    {
        lblTitle.Text = articleElement.Element("Title").Value;//标题
        lblCreateTime.Text = articleElement.Element("CreateTime").Value;//创建时间
        lblDescription.Text = articleElement.Element("Description").Value;//摘要
        lblText.Text = articleElement.Element("Text").Value;//正文
    }
    else
    { 
        //错误代码
    }
}
    }
}
